Bug 119347 - AA font, icon and mouse cursor are in xorg-x11
AA font, icon and mouse cursor are in xorg-x11
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-29 13:20 EST by sangu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.6.5-1.308
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-08 01:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86.0.log in FC2 tes2 kernel-2.9.3-2.1-253.2.1 (99.59 KB, text/plain)
2004-03-29 22:43 EST, sangu
no flags Details
XF86Config file (2.28 KB, text/plain)
2004-03-30 09:19 EST, sangu
no flags Details
XFree86.0.log in kernel 2.6.3-1.118 (37.43 KB, text/plain)
2004-03-30 09:29 EST, sangu
no flags Details

  None (edit)
Description sangu 2004-03-29 13:20:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.2.0

Description of problem:
This problem is

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. startx
2. Icons, AA fonts, mouse cursor are crushed.

Additional info:
Comment 1 sangu 2004-03-29 19:52:58 EST
This problem does not happen in kernel-2.6.3-1.118. 
Comment 2 Mike A. Harris 2004-03-29 20:31:39 EST
Hi Sangu,

From your above report, it isn't quite clear to me what the problem
was that you are reporting above.  Our kernel people assumed you
were trying to report an X issue mistakenly against the kernel,
however it isn't really clear what the issue is.

I'm going to close this issue as "RAWHIDE" for now, as you've
indicated in comment #1 above that the problem no longer occurs
for you.

As an additional note/request: When reporting bugs in bugzilla, it
helps us out a lot if you can explain the problem in full detail as
clearly as possible, and directly in the bug report rather than a
URL to another bug report.  It also makes it easier to track and
follow the defect.

If the problem happens for you again, please open a new bug report
with current details and we'll try to investigate the issue.

Thanks for your update that the problem no longer happens with
the new kernel, and also for testing FC2 test2!

Take care,

Comment 3 sangu 2004-03-29 22:43:32 EST
Created attachment 98953 [details]
XFree86.0.log in FC2 tes2 kernel-2.9.3-2.1-253.2.1

Kernel-2.9.3-1.118 is old version in comment #1
Kernel-2.9.3-2.1-253.2.1 is FC2 tes2 kernel.

This problem is not fixed.

This problem happens in FC2 tes2 kernel-2.9.3-2.1-253.2.1.

This problem happens in ajanv's

When XF86Config has Option "UseBIOS" "FALSE", "(EE) SAVAGE(0): vm86() syscall
generated signal 11" messages disappear in XFree86.0.log. But this problem( AA
font, icon and mouse cursor are crushed) doesn't diappear.

Thank your comments.
Comment 4 Mike A. Harris 2004-03-30 02:00:30 EST
The vm86 syscall error message sounds like a kernel bug which should
be filed in a separate bug report, which may or may not be related
to the problem you are having.  vm86 is used by the X server to
execute the video BIOS code.  If this fails, it generally means one
of two things:

1) The video BIOS is buggy.  If this is the case, then there is
   not anything we can do to fix a buggy BIOS other than to
   recommend contacting your hardware vendor for an update.


2) The kernel vm86 code, or something else in the kernel is broken
   which may impede the X server's access to the video BIOS.  Since
   the X server executes the BIOS code, this may show up as the X
   server SEGV'ing, however it is not the X server's code at fault.

If this worked with previous kernels ok, or 2.4.x, then IMHO, the
most likely scenario is that #2 above.  It is also possible that
there is an obscure X server bug here, but I believe it is unlikely.

Again though, the vm86() issue is a totally separate issue and
should be reported in a separate bug report so we can track it.

I assume the kernel versions you have supplied above contain
typographical errors, since there is no kernel version 2.9.3.  I
do not want to make version assumptions however, as I could assume
wrong.  Just in case there are other typos as well, can you cut
and paste the exact kernel version from the output of "uname -a"
into the report?

Please attach your X server log file, config file, and
/var/log/messages from the time the computer was booted onward,
from an X session which the font/mouse cursor problem occurs.  This
information will be useful in our diagnosis.

Thanks again for the update, and for reporting the problems.

Take care,

(Setting bug back to REOPENED state)
Comment 5 sangu 2004-03-30 09:19:52 EST
Created attachment 98963 [details]
XF86Config file
Comment 6 sangu 2004-03-30 09:29:14 EST
Created attachment 98964 [details]
XFree86.0.log in kernel 2.6.3-1.118

uname -a
Linux boys 2.6.3-1.118 #1 Mon Mar 1 17:36:45 EST 2004 i686 i686 i386 GNU/Linux

This problem (AA font, icon and mouse cursor are crushed) doesn't happen from
RedHat 9 kernel packages to fedora core 1 kernel packages.

As see : https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=110454 , this
problem always doesn't happen  in kernel-2.6.x package.

Note You need to log in before you can comment on or make changes to this bug.